/*
 * Segment 6 Intelligente Bewertungsverfahren, SWE 6.3 Umfassende Datenanalyse
 * Copyright (C) 2007-2015 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.ibv.uda.interpreter.daten.dav;

import de.bsvrz.sys.funclib.bitctrl.interpreter.Operator;

/**
 * Definition der Operatoren in Verbindung mit der Konfiguration des
 * Datenverteilers.
 *
 * @author BitCtrl Systems GmbH, Peuker
 */
public final class KonfigurationsOperatoren {

	/** ermittelt ein Typobjekt. */
	public static final Operator TYP_ERMITTELN = Operator.getOperator("typ");

	/** ermittelt ein Systemobjekt. */
	public static final Operator OBJEKT_ERMITTELN = Operator.getOperator("objekt");

	/** ermittelt eine Attributgruppe. */
	public static final Operator ATG_ERMITTELN = Operator.getOperator("attributgruppe");

	/** ermittelt einen Aspekt. */
	public static final Operator ASPEKT_ERMITTELN = Operator.getOperator("aspekt");

	/** legt ein neues Objekt an. */
	public static final Operator NEUES_OBJEKT = Operator.getOperator("neuesObjekt");

	/** legt ein neues Objekt vom Typ DataAndATGUsageInformation an. */
	public static final Operator DATA_AND_ATG_USAGE_INFORMATION = Operator
			.getOperator("datenUndAttributgruppenVerwendungsInformation");

	/** die Liste der unterstützten Operatoren. */
	public static final Operator[] OPERATOREN = { KonfigurationsOperatoren.ASPEKT_ERMITTELN,
			KonfigurationsOperatoren.ATG_ERMITTELN, KonfigurationsOperatoren.OBJEKT_ERMITTELN,
			KonfigurationsOperatoren.TYP_ERMITTELN, KonfigurationsOperatoren.NEUES_OBJEKT,
			KonfigurationsOperatoren.DATA_AND_ATG_USAGE_INFORMATION };

	/** privater Konstruktor für Utility-Klasse. */
	private KonfigurationsOperatoren() {
		super();
	}
}
