/*
 * Segment 6 Intelligente Bewertungsverfahren, SWE 6.3 Umfassende Datenanalyse
 * Copyright (C) 2007-2015 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.ibv.uda.interpreter.daten.konstante;

import org.junit.Assert;

import de.bsvrz.ibv.uda.interpreter.daten.konstante.RelativeZeitLiteral.ZeitEinheit;

/**
 * Testklasse zum Test der Klasse RelativeZeitLiteral.
 *
 * @author BitCtrl Systems GmbH, Peuker
 */
public class RelativeZeitLiteralTest {

	/**
	 * testet die interpret-Funktion der Klasse.
	 */
	@org.junit.Test
	public void testInterpret() {
		final RelativeZeitLiteral literal = new RelativeZeitLiteral();
		literal.addZeitAngabe(new GanzZahlLiteral(2), ZeitEinheit.STUNDE);
		Assert.assertEquals(7200000L, (literal.interpret(null)).getMilliSekunden());

		literal.addZeitAngabe(new GanzZahlLiteral(1), ZeitEinheit.TAG);
		Assert.assertEquals((3600L * 24L * 1000L) + 7200000L, (literal.interpret(null)).getMilliSekunden());

		literal.addZeitAngabe(new GanzZahlLiteral(10), ZeitEinheit.MINUTE);
		Assert.assertEquals((3600L * 24L * 1000L) + 7200000L + 600000L, (literal.interpret(null)).getMilliSekunden());

		literal.addZeitAngabe(new GanzZahlLiteral(35), ZeitEinheit.SEKUNDE);
		Assert.assertEquals((3600L * 24L * 1000L) + 7200000L + 600000L + 35000L,
				(literal.interpret(null)).getMilliSekunden());

		literal.addZeitAngabe(new GanzZahlLiteral(44), ZeitEinheit.MILLISEKUNDE);
		Assert.assertEquals((3600L * 24L * 1000L) + 7200000L + 600000L + 35000L + 44L,
				(literal.interpret(null)).getMilliSekunden());
	}
}
